Package org.apache.uima.collection.impl

# Class CollectionReaderDescription_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.impl.ResourceCreationSpecifier_impl
org.apache.uima.collection.impl.CollectionReaderDescription_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CollectionReaderDescription`, `MetaDataObject`, `ResourceCreationSpecifier`, `ResourceSpecifier`, `XMLizable`

public class CollectionReaderDescription_impl extends ResourceCreationSpecifier_impl implements CollectionReaderDescription

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionReaderDescription_impl()`
  Creates a new ProcessingResourceMetaData_impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)`
  Overridden to set default operational properties if they are not specified in descriptor.
  `void`
  `doFullValidation(ResourceManager aResourceManager)`
  Does full validation of this `ResourceCreationSpecifier`.
  `ProcessingResourceMetaData`
  `getCollectionReaderMetaData()`
  Retrieves the metadata that describes the CollectionReader.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.

  ### Methods inherited from class org.apache.uima.resource.impl.ResourceCreationSpecifier_impl

  `checkForDuplicateParameterNames, checkForInvalidParameterOverrides, doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate, validateConfigurationParameters`

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.resource.ResourceCreationSpecifier

  `doFullValidation, getExternalResourceDependencies, getExternalResourceDependency, getFrameworkImplementation, getImplementationName, getMetaData, getResourceManagerConfiguration, setExternalResourceDependencies, setFrameworkImplementation, setImplementationName, setMetaData, setResourceManagerConfiguration, validate, validate`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### CollectionReaderDescription_impl

    public CollectionReaderDescription_impl()
    Creates a new ProcessingResourceMetaData_impl. Initializes the MetaData and FrameworkImplementation attributes.

- ## Method Details

  - ### getCollectionReaderMetaData

    public ProcessingResourceMetaData getCollectionReaderMetaData()
    Description copied from interface: `CollectionReaderDescription`
    Retrieves the metadata that describes the CollectionReader.
    Specified by:
      `getCollectionReaderMetaData` in interface `CollectionReaderDescription`
    Returns:
      the `ResourceMetaData` object containing the CollectionReader's metadata. This object can be modified.

  - ### doFullValidation

    public void doFullValidation(ResourceManager aResourceManager) throws ResourceInitializationException
    Description copied from interface: `ResourceCreationSpecifier`
    Does full validation of this `ResourceCreationSpecifier`. This essentially performs all operations necessary to instantiate a Resource except that it does not actually instantiate the implementation class. If appropriate, this method will also attempt to create a CAS based on the descriptor, in order to do full type system verification. If any operations fail, an exception will be thrown.
    Specified by:
      `doFullValidation` in interface `ResourceCreationSpecifier`
    Overrides:
      `doFullValidation` in class `ResourceCreationSpecifier_impl`
    Parameters:
      `aResourceManager` - a ResourceManager instance to use to load annotator classes, external resource classes, and resolve imports by name.
    Throws:
      `ResourceInitializationException` - if validation failed

  - ### buildFromXMLElement

    public void buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions) throws InvalidXMLException
    Overridden to set default operational properties if they are not specified in descriptor.
    Specified by:
      `buildFromXMLElement` in interface `XMLizable`
    Overrides:
      `buildFromXMLElement` in class `MetaDataObject_impl`
    Parameters:
      `aElement` - the XML element that represents this object.
      `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
      `aOptions` - option settings
    Throws:
      `InvalidXMLException` - if the input XML element does not specify a valid object

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Overrides:
      `getXmlizationInfo` in class `ResourceCreationSpecifier_impl`
    Returns:
      information defining this object's XML representation